<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>DocumentationEdit</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/parameters/documentation-edit.po.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Page object for the documentation edit section.</p>

            </p>




            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#getDeleteButton">getDeleteButton</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#root">root</a>
                                </li>
                                <li>
                                    <a href="#typeSelect">typeSelect</a>
                                </li>
                                <li>
                                    <a href="#languageSelect">languageSelect</a>
                                </li>
                                <li>
                                    <a href="#uploadInput">uploadInput</a>
                                </li>
                                <li>
                                    <a href="#table">table</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>



            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getDeleteButton"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            getDeleteButton
                            </b>
                            <a href="#getDeleteButton"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getDeleteButton(row: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">e2e/page-object/operation/parameters/documentation-edit.po.ts:55</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Get the delete button on the grid at the given row</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>row</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>index of the given row</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/Button.html" target="_self" >Button</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the grid&#39;s delete button at the given row</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>






            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="root"></a>
                        <span class="name"><b>root</b><a href="#root"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>root()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">e2e/page-object/operation/parameters/documentation-edit.po.ts:17</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/Card.html" target="_self" >Card</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="typeSelect"></a>
                        <span class="name"><b>typeSelect</b><a href="#typeSelect"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>typeSelect()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">e2e/page-object/operation/parameters/documentation-edit.po.ts:24</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="languageSelect"></a>
                        <span class="name"><b>languageSelect</b><a href="#languageSelect"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>languageSelect()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">e2e/page-object/operation/parameters/documentation-edit.po.ts:31</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInput"></a>
                        <span class="name"><b>uploadInput</b><a href="#uploadInput"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>uploadInput()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">e2e/page-object/operation/parameters/documentation-edit.po.ts:38</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/UploadInput.html" target="_self" >UploadInput</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="table"></a>
                        <span class="name"><b>table</b><a href="#table"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>table()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">e2e/page-object/operation/parameters/documentation-edit.po.ts:45</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/MatTable.html" target="_self" >MatTable</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { by } from &quot;protractor&quot;;
import { Card } from &#x27;../../../shared/card&#x27;;
import { Button } from &#x27;../../../shared/button&#x27;;
import { MatTable } from &#x27;../../../shared/table&#x27;;
import { UploadInput } from &#x27;../../../shared/upload-input&#x27;;
import { SelectField } from &#x27;../../../shared/select-field&#x27;;
import { Cache } from &#x27;../../cache.po&#x27;;

/**
 * Page object for the documentation edit section.
 */
export class DocumentationEdit {

  /**
   * @returns {Card} the edit section element itself
   */
  static get root(): Card {
    return Cache.card(&#x27;documentEdit&#x27;);
  }

  /**
   * @returns {SelectField} the document type select field
   */
  static get typeSelect(): SelectField {
    return Cache.selectField(this.root.content, &#x27;documentEdit&#x27;, &#x27;documentType&#x27;);
  }

  /**
   * @returns {SelectField} the document language select field
   */
  static get languageSelect(): SelectField {
    return Cache.selectField(this.root.content, &#x27;documentEdit&#x27;, &#x27;documentLanguage&#x27;);
  }

  /**
   * @returns {UploadInput} the upload file input
   */
  static get uploadInput(): UploadInput {
    return Cache.uploadInputField(&#x27;documentationUploadInputField&#x27;, this.root.content);
  }

  /**
   * @returns {MatTable} the table displaying the document files
   */
  static get table(): MatTable {
    return Cache.table(&#x27;documentsGrid&#x27;);
  }

  /**
   * Get the delete button on the grid at the given row
   *
   * @param row index of the given row
   * @returns {Button} the grid&#x27;s delete button at the given row
   */
  static getDeleteButton(row: number): Button {
    return Cache.button(
      &#x60;documentationTableDeleteButton-${row}&#x60;,
      this.table.cell(row, &#x27;delete&#x27;).element(by.tagName(&#x27;button&#x27;))
    );
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'DocumentationEdit.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
